
%{
#include "y.tab.h"

extern int yyerror(char *);

%}


%%
[ \t\n\r]+						{;}
[A-Z][a-zA-Z0-9]*"$"				{return ID;}
"(B)"[01]+						{return BIN;}
"(X)"[0-9]+						{return DEC;}
"(O)"[0-7]+						{return OCT;}
"(H)"[0-9A-Fa-f]+					{return HEX;}
"is"							{return ATRIB;}
"<"|">"|"<="|"=>"|"<>"|"=="			{return OP_COND;}
"end"							{return FIM_INST;}
"while"						{return WHILE;}
"if"							{return IF;}
"then"						{return THEN;}
"else"						{return ELSE;}
"up"							{return UP;}
"down"						{return DOWN;}
.							{yyerror("Lexical Error");}
%%
